Subject: bug#25222: Incorrect indices in ansi-color (227e996946d4629fa8f6d665564a37668290c87f, new in Emacs 25)

From: Daniel Colascione <[email-masked]>
Date: Thu, 12 Jan 2017 09:13:05 -0800

On Thu, Jan 12 2017, Clément Pit--Claudel wrote:
> On 2017-01-12 11:06, Eli Zaretskii wrote:
>>> From: Glenn Morris <[email-masked]>
>>> Date: Wed, 11 Jan 2017 13:24:31 -0500
>>> Cc: [email-masked]
>>>
>>> There are several reports about this. Eg 24223, 21381, 24189.
>>> Perhaps this is something to fix for 25.2.
>> 
>> I agree, and would encourage people to hurry with patches for these
>> problems, because RC1 of 25.2 is probably due in a week or two.
>
> I posted a potential solution in a previous message, but I was hoping
> for the original author (Daniel) to comment on it.  Otherwise, I don't
> feel too comfortable touching that code.

Gah, sorry. Personal issues lately.  I'll take another look at it.
I'm not really comfortable with that code at all, to be honest.  IMHO,
we should rewrite the escapes sequence parser as an explicit restartable
state machine instead of munging things with regular expressions.